/*
 	File:		RTC.h
 
 	Contains:	User-mode API
 
 	Version:	Technology:	System 8
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
*/
#ifndef __RTC__
#define __RTC__

#ifndef __KERNEL__
#include <Kernel.h>
#endif
#ifndef __TIMEOBJECTS__
#include <TimeObjects.h>
#endif
#ifndef __SYNCHRONIZATION__
#include <Synchronization.h>
#endif
#ifndef __IOITERATOR__
#include <IOIterator.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import on
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=mac68k
#endif

#if FOR_SYSTEM8_PREEMPTIVE

enum {
	kRTCFamilyVersionOne		= 0x01,
	kRTCFamilyCurrentVersion	= kRTCFamilyVersionOne
};

typedef struct OpaqueRTCTimerID* RTCTimerID;
struct RTCIOIteratorData {
	IOCommonInfo 					IOCI;
	UInt32 							reserved[3];
};
typedef struct RTCIOIteratorData RTCIOIteratorData;

extern OSStatus RTCCancelTimer(RTCTimerID timerID);

extern OSStatus RTCSetTimer(const KernelNotification *notifier, RTCTimerID *timerID, Nanoseconds nanoseconds);

extern OSStatus RTCSet(Nanoseconds nanoseconds);

extern OSStatus RTCGet(Nanoseconds *nanoseconds);

extern OSStatus RTCGetDeviceData(ByteCount want, ByteCount *got, RTCIOIteratorData *deviceArray);

#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=reset
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import off
#endif

#ifdef __cplusplus
}
#endif

#endif /* __RTC__ */

